/*
 * This file is part of OpenKropki.
 * It provides the core logic of the game.
 *
 * Copyright (C) 2014-2020 Mateusz Viste
 *
 * MIT License
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

#include "lang.h"

static char *s[MSG_LAST];
static char *l[LANG_LAST];

void lang_init(enum langid_t id) {
  /* load lang names (same for every language) */
  #include "lang/aa_names.h"
  /* init all with en strings first */
  #include "lang/en.h"
  /* if non-eng lang requested, overwrite whenever possible */
  switch (id) {
    case LANG_CZ:
      #include "lang/cz.h"
      break;
    case LANG_EN:
      /* nothing to do, already loaded */
      break;
    case LANG_FR:
      #include "lang/fr.h"
      break;
    case LANG_PL:
      #include "lang/pl.h"
      break;
    case LANG_RU:
      #include "lang/ru.h"
      break;
    case LANG_LAST:
      /* this should never happen */
      break;
  }
}


const char *lang_msg(enum msgid_t id) {
  if (id >= MSG_LAST) return("MSG ERROR");
  return(s[id]);
}


const char *lang_name(enum langid_t id) {
  if (id >= LANG_LAST) return("LANG ERROR");
  return(l[id]);
}
